loci.formats.dicom

## Class DicomFileInfo

- java.lang.Object
- - loci.formats.dicom.DicomFileInfo

- All Implemented Interfaces:
    java.lang.Comparable<DicomFileInfo>

      public class DicomFileInfo
      extends java.lang.Object
      implements java.lang.Comparable<DicomFileInfo>

  Structure containing metadata for one DICOM file (instance).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<java.lang.String>` | `channelNames`
    `int` | `concatenationIndex`
    `CoreMetadata` | `coreMetadata`
    `boolean` | `edf`
    `java.lang.String` | `file`
    `java.lang.String` | `imageType`
    `ome.units.quantity.Length` | `pixelSizeX`
    `ome.units.quantity.Length` | `pixelSizeY`
    `ome.units.quantity.Length` | `pixelSizeZ`
    `java.util.List<java.lang.Double>` | `positionX`
    `java.util.List<java.lang.Double>` | `positionY`
    `java.util.List<java.lang.Double>` | `positionZ`
    `java.util.List<DicomTile>` | `tiles`
    `ome.xml.model.primitives.Timestamp` | `timestamp`
    `java.util.List<java.lang.Double>` | `zOffsets`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DicomFileInfo()` Construct an empty object to be populated later.
    `DicomFileInfo(java.lang.String filePath)` Construct an object from the given file.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(DicomFileInfo info)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### coreMetadata

          public CoreMetadata coreMetadata

    - #### file

          public java.lang.String file

    - #### concatenationIndex

          public int concatenationIndex

    - #### tiles

          public java.util.List<DicomTile> tiles

    - #### imageType

          public java.lang.String imageType

    - #### zOffsets

          public java.util.List<java.lang.Double> zOffsets

    - #### edf

          public boolean edf

    - #### timestamp

          public ome.xml.model.primitives.Timestamp timestamp

    - #### pixelSizeX

          public ome.units.quantity.Length pixelSizeX

    - #### pixelSizeY

          public ome.units.quantity.Length pixelSizeY

    - #### pixelSizeZ

          public ome.units.quantity.Length pixelSizeZ

    - #### positionX

          public java.util.List<java.lang.Double> positionX

    - #### positionY

          public java.util.List<java.lang.Double> positionY

    - #### positionZ

          public java.util.List<java.lang.Double> positionZ

    - #### channelNames

          public java.util.List<java.lang.String> channelNames

  - ### Constructor Detail

    - #### DicomFileInfo

          public DicomFileInfo()

      Construct an empty object to be populated later.

    - #### DicomFileInfo

          public DicomFileInfo(java.lang.String filePath)
                        throws FormatException,
                               java.io.IOException

      Construct an object from the given file. A DicomReader will be used to initialize the file and extract metadata.
      Parameters:
        `filePath` - DICOM file
      Throws:
        `FormatException` - if file initialization fails
        `java.io.IOException` - if file initialization fails

  - ### Method Detail

    - #### compareTo

          public int compareTo(DicomFileInfo info)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<DicomFileInfo>`

Copyright © 2026 Open Microscopy Environment